#!/bin/sh

NAME="daware-mod"
VERSION="1.1"

if [ $(id -u) != '0' ]
then
    echo "Permission denied."
    exit
fi

if [ -n "`lsmod | grep daware`" ]
then
    modprobe -r daware
fi

status=`dkms status -m ${NAME} -v ${VERSION}`
status=`echo ${status} | sed 's/^.*: \(.*\)$/\1/'`

if [ -n "${status}" ]
then
    case "${status}" in
        'added' | 'built' | 'installed' )
            dkms remove -m ${NAME} -v ${VERSION} --all ;;
        *)
            echo "Error Unknown status: ${status}" ;;
    esac
fi

